QXmppCall Class Reference

The QXmppCall class represents a Voice-Over-IP call to a remote party. More...

`#include <QXmppCallManager.h>`

Inheritance diagram for QXmppCall:

List of all members.

## Public Types

enum | Direction { IncomingDirection, OutgoingDirection }
| This enum is used to describe the direction of a call. More...
enum | State { ConnectingState = 0, ActiveState = 1, DisconnectingState = 2, FinishedState = 3 }
| This enum is used to describe the state of a call. More...

## Public Slots

void | accept ()
void | hangup ()
void | startVideo ()
| Starts sending video to the remote party.
void | stopVideo ()
| Stops sending video to the remote party.

## Signals

void | connected ()
| This signal is emitted when a call is connected.
void | finished ()
| This signal is emitted when a call is finished.
void | ringing ()
| This signal is emitted when the remote party is ringing.
void | stateChanged (QXmppCall::State state)
| This signal is emitted when the call state changes.
void | audioModeChanged (QIODevice::OpenMode mode)
| This signal is emitted when the audio channel changes.
void | videoModeChanged (QIODevice::OpenMode mode)
| This signal is emitted when the video channel changes.

## Public Member Functions

QXmppCall::Direction | direction () const
QString | jid () const
QString | sid () const
QXmppCall::State | state () const
QXmppRtpAudioChannel * | audioChannel () const
QIODevice::OpenMode | audioMode () const
QXmppRtpVideoChannel * | videoChannel () const
QIODevice::OpenMode | videoMode () const

## Properties

Direction | direction
QString | jid
State | state
QIODevice::OpenMode | audioMode
| Returns the audio mode.
QIODevice::OpenMode | videoMode
| Returns the video mode.

## Friends

class | QXmppCallManager
class | QXmppCallManagerPrivate
class | QXmppCallPrivate

## Detailed Description

The QXmppCall class represents a Voice-Over-IP call to a remote party.

To get the QIODevice from which you can read / write audio samples, call audioChannel().

Note:
  THIS API IS NOT FINALIZED YET

## Member Enumeration Documentation

enum QXmppCall::Direction

This enum is used to describe the direction of a call.

Enumerator:

  IncomingDirection | The call is incoming.
  OutgoingDirection | The call is outgoing.

enum QXmppCall::State

This enum is used to describe the state of a call.

Enumerator:

  ConnectingState | The call is being connected.
  ActiveState | The call is active.
  DisconnectingState | The call is being disconnected.
  FinishedState | The call is finished.

## Member Function Documentation

void QXmppCall::accept | ( |  | ) | `[slot]`

Call this method if you wish to accept an incoming call.

QXmppRtpAudioChannel * QXmppCall::audioChannel | ( |  | ) | const

Returns the RTP channel for the audio data.

It acts as a QIODevice so that you can read / write audio samples, for instance using a QAudioOutput and a QAudioInput.

void QXmppCall::connected | ( |  | ) | `[signal]`

This signal is emitted when a call is connected.

Once this signal is emitted, you can connect a QAudioOutput and QAudioInput to the call. You can determine the appropriate clockrate and the number of channels by calling payloadType().

void QXmppCall::finished | ( |  | ) | `[signal]`

This signal is emitted when a call is finished.

Note: Do not delete the call in the slot connected to this signal, instead use deleteLater().

void QXmppCall::hangup | ( |  | ) | `[slot]`

Hangs up the call.

QString QXmppCall::sid | ( |  | ) | const

Returns the call's session identifier.

QXmppRtpVideoChannel * QXmppCall::videoChannel | ( |  | ) | const

Returns the RTP channel for the video data.

## Property Documentation

QXmppCall::Direction QXmppCall::direction`[read]`

Returns the call's direction.

QString QXmppCall::jid`[read]`

Returns the remote party's JID.

QXmppCall::State QXmppCall::state`[read]`

Returns the call's state.

See also:
  stateChanged()

The documentation for this class was generated from the following files:

- QXmppCallManager.h
- QXmppCallManager.cpp

All Classes Functions Enumerations Enumerator Properties